Subject: Re: serial programming HOWTO
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 12 Nov 2000 22:41:29 -0500

On Sun, Nov 12, 2000 at 11:37:19PM +0100, Frank Wagner wrote:
>Hello and thanks for the reply,
>
>> >From the linux man page:
>>
>>        "The sa_restorer element is  obsolete  and  should  not  be
>>        used."
>>
>> It's also not mentioned in the Single UNIX Specification.
>
>Means this that I can comment out that line with the sa_restorer
>statement?

I assume so, yes.

>>>After that I tried to compile that example under Linux and got the
>>>follwing error message
>>>
>>>program.c: 39 incompatible types in assignment --dir=.
>>>
>>>that refers to the folloing line of the source:
>>>
>>>saio.sa_mask = 0;
>>>
>>>Why do I get a error message form an example that is written for linux?
>>
>>Because cygwin is not linux?  The above use of saio.sa_mask is
>>incorrect.  You should be using sigemptyset() to clear the mask.  This
>>will also work on linux.
>
>But the serial programming HOWTO is witten for linux.  Did the author
>make a mistake in this case?

The author apparently used a nonportable construct.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]